VSTGUI: Property Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Property Class Reference
New classes » Version 4.1

Filter Property. More...

`#include <cbitmapfilter.h>`

## Public Types
enum | Type { kUnknown = 0 , kInteger , kFloat , kObject , kRect , kPoint , kColor , kTransformMatrix }

## Public Member Functions
| Property (Type type=kUnknown)
| Property (int32_t intValue)
| Property (double floatValue)
| Property (IReference *objectValue)
| Property (const CRect &rectValue)
| Property (const CPoint &pointValue)
| Property (const CColor &colorValue)
| Property (const CGraphicsTransform &transformValue)
| Property (const Property &p)
| Property (Property &&p) noexcept
| ~Property () noexcept
Type | getType () const
int32_t | getInteger () const
double | getFloat () const
IReference * | getObject () const
const CRect & | getRect () const
const CPoint & | getPoint () const
const CColor & | getColor () const
const CGraphicsTransform & | getTransform () const
Property & | operator= (const Property &p)
Property & | operator= (Property &&p) noexcept

## Detailed Description

Filter Property.

## Member Enumeration Documentation

## ◆ Type

enum Type

Enumerator
kUnknown |
kInteger |
kFloat |
kObject |
kRect |
kPoint |
kColor |
kTransformMatrix |

## Constructor & Destructor Documentation

## ◆ Property() [1/10]

Property | ( | Type | type = kUnknown | ) |

## ◆ Property() [2/10]

Property | ( | int32_t | intValue | ) |

## ◆ Property() [3/10]

Property | ( | double | floatValue | ) |

## ◆ Property() [4/10]

Property | ( | IReference * | objectValue | ) |

## ◆ Property() [5/10]

Property | ( | const CRect & | rectValue | ) |

## ◆ Property() [6/10]

Property | ( | const CPoint & | pointValue | ) |

## ◆ Property() [7/10]

Property | ( | const CColor & | colorValue | ) |

## ◆ Property() [8/10]

Property | ( | const CGraphicsTransform & | transformValue | ) |

## ◆ Property() [9/10]

Property | ( | const Property & | p | ) |

## ◆ Property() [10/10]

Property | ( | Property && | p | ) |
| noexcept

## ◆ ~Property()

~Property | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ getColor()

const CColor & getColor | ( |  | ) | const

## ◆ getFloat()

double getFloat | ( |  | ) | const

## ◆ getInteger()

int32_t getInteger | ( |  | ) | const

## ◆ getObject()

IReference * getObject | ( |  | ) | const

## ◆ getPoint()

const CPoint & getPoint | ( |  | ) | const

## ◆ getRect()

const CRect & getRect | ( |  | ) | const

## ◆ getTransform()

const CGraphicsTransform & getTransform | ( |  | ) | const

## ◆ getType()

Type getType | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

Property & operator= | ( | const Property & | p | ) |

## ◆ operator=() [2/2]

Property & operator= | ( | Property && | p | ) |
| noexcept

The documentation for this class was generated from the following files:

- cbitmapfilter.h
- cbitmapfilter.cpp